An error appears while installing Plesk license: The file init.php is part of Plesk distribution

Created:

2016-11-16 13:04:58 UTC

Modified:

2017-08-16 16:05:39 UTC

0

Was this article helpful?


Have more questions?

Submit a request

An error appears while installing Plesk license: The file init.php is part of Plesk distribution

Applicable to:

  • Plesk Onyx for Linux
  • Plesk Onyx for Windows
  • Plesk 11.x for Linux
  • Plesk 11.x for Windows
  • Plesk 12.0 for Windows
  • Plesk 12.5 for Windows

Symptoms

When trying to install a license key file in Plesk after its upgrade, the following error message is received:

    The file init.php is part of Plesk distribution. It cannot be run outside of Plesk environment."

This message also appears on Plesk home page.

Cause

Presense Builder Core package is not correctly upgraded.

Resolution

  1. Back up sitebuilder5 database (credentials can be found in %plesk_dir%\\sb\\config ):

    %plesk_dir%"\\Mysql\\bin\\mysqldump -u<username> -p<password> -P3306 --database sitebuilder5 > C:\\sb5dump.sql
  2. Try to upgrade the package and other components marked as '*' using Plesk autoinstaller:

    "%plesk_bin%\\ai.exe" --console
  3. If there are no components to upgrade and no websites are created with Presence Builder, remove the package by executing C:\\ParallelsInstaller\\parallels\\SITEBUILDER-WIN_12.0.6\\dist-msi-Microsoft-2003-i386\\sitebuilder-core.exe and installing it back from the same package.

  4. If there are sites hosted by Presence Builder, please, contact Odin Technical Support .

The following knowledge base article may be useful, as well:

#213941005 - Upgrade failed with error: Access denied for user 'sitebuilder_db'@'localhost' (using password: YES)

Have more questions? Submit a request
Please sign in to leave a comment.